## 6 Usage ¶

### 6.1 Invocation ¶

Command-line invocation for `eukleides`, `euktopst`, or `euktoeps` is:

    program { option ... } file_name

The name of the generated output is formed of the base name of the input file and the `.eps` or `.ps` suffix for `eukleides`, the `.pst` suffix for `euktopst`, or the `.eps` suffix for `euktopst`. The base name is the file name deprived of the `.euk` suffix. If the `.euk` suffix is not present, the base name is the file name itself.

#### Common options ¶

`-l, --locale{=lang}`

  Use keywords localized in language lang. With no argument given, the current locale is set to the value of the LANG environment variable. This feature may be disabled.

`-`#`, --interactive=string`

  Modify interactive variables.

`-v, --version`

  Print version number and exit.

`-h, --help`

  Print a short help and exit.

#### Options specific to `eukleides` and `euktopst` ¶

`-o, --output{=output_file}`

  Set an output file name. With no argument given, the output stream is set to standard output.

`-b, --batchmode{=data_file}`

  Don’t stop for input. If given, use data_file instead of standard input.

#### Option specific to `eukleides` ¶

`-a, --animate=string`

  Animate interactive script.

#### Options specific to `euktoeps` ¶

`-i, --include=string`

  Include LaTeX directives in preamble.

`-d, --data=data_file`

  Use specific data.